Services
All operations require authentication.
List MX Plan servicesProduction
List MX Plan services. Returns the names of the MX Plan services of the account. Filter them by IAM tags with iamTags.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the MX Plan serviceProduction
Get the MX Plan service. Returns the state, offer, hostname and web interface URL of the service, its message size limits, its password and lockout policy, and its spam and virus configuration.
Path parameters
The internal name of your mxplan organization
Response
enable policy for strong and secure passwords
service displayName
Domain name of your service
Hostname of your service
IAM resource metadata
Service use Zimbra as backend
Update date
number of minutes account will remain locked if it occurs
number of minutes that must elapse after a failed logon to reset lockout trigger
number of attempts before account to be locked
maximum number of days that account's password is valid before expiration
Maximum message size that You can receive in MB
Maximum message size that You can send in MB
minimum number of days before able to change account's password
minimum number of characters password must contain
Type of your offer
MXPLANSpam and Antivirus configuration
State of your service
creatingdeletinginMaintenanceokreopeningsuspendedsuspendingTask pending id
URL for web interface
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service} \
-H "authorization: Bearer $OVH_TOKEN"{ "complexityEnabled": true, "displayName": "string", "domain": "string", "hostname": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isZimbra": true, "lastUpdateDate": "2024-01-01T12:00:00Z", "lockoutDuration": 0, "lockoutObservationWindow": 0, "lockoutThreshold": 0, "maxPasswordAge": 0, "maxReceiveSize": 0, "maxSendSize": 0, "minPasswordAge": 0, "minPasswordLength": 0, "offer": "MXPLAN", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "state": "creating", "taskPendingId": 0, "webUrl": "string"}
Update the MX Plan serviceProduction
Update the MX Plan service. Updates the display name, message size limits, password and lockout policy, and spam and virus configuration of the service.
Path parameters
The internal name of your mxplan organization
Request body (required)
enable policy for strong and secure passwords
service displayName
Domain name of your service
Hostname of your service
Service use Zimbra as backend
Update date
number of minutes account will remain locked if it occurs
number of minutes that must elapse after a failed logon to reset lockout trigger
number of attempts before account to be locked
maximum number of days that account's password is valid before expiration
Maximum message size that You can receive in MB
Maximum message size that You can send in MB
minimum number of days before able to change account's password
minimum number of characters password must contain
Type of your offer
MXPLANSpam and Antivirus configuration
State of your service
creatingdeletinginMaintenanceokreopeningsuspendedsuspendingTask pending id
URL for web interface
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service} \
-H "authorization: Bearer $OVH_TOKEN"Get the serverProduction
Get the server. Returns the state, IPv4 and IPv6 addresses, version and disk usage of the server, and whether its A, AAAA and PTR DNS records are valid.
Path parameters
The internal name of your mxplan organization
Response
Current disk usage in MB
Total disk size in MB
ipV4
ipV6
If true your dns A record is valid
If true your dns AAAA record is valid
If true your dns ptrV6 record is valid
If true your dns ptr record is valid
Server state
configurationPendingnotConfiguredokTask pending id
Server version
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ server \
-H "authorization: Bearer $OVH_TOKEN"{ "currentDiskUsage": 0, "diskSize": 0, "ip": "192.0.2.0", "ipV6": "2001:41d0:1:1994::1", "isAValid": true, "isAaaaValid": true, "isPtrV6Valid": true, "isPtrValid": true, "state": "configurationPending", "taskPendingId": 0, "version": 0}
Update spam and virus flagsProduction
Update spam and virus flags. Updates the spam and virus flags of all the active email accounts of the service.
Path parameters
The internal name of your mxplan organization
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ updateFlagsOnAllAccounts \
-H "authorization: Bearer $OVH_TOKEN"